import req from '@/request.js'
const portal = window.context.portal
export default {
  
	//分页查询
	paperQuery(data, cb) {
	  req.post(portal + `/exam/user/record/paperQuery`, data).then(res => {
	    cb(res.data)
	  })
	},
	
    //查看试卷
    getUserRecord(id, cb) {
        req.get(portal + `/exam/user/record/getUserRecord/` + id).then(rep => {
            cb(rep.data)
        })
    },
	//设为作弊
	updateStatus(id, cb) {
	    req.get(portal + `/exam/user/record/updateStatus/` + id).then(rep => {
	        cb(rep.data)
	    })
	},
	//查看试卷(含总分)
    getUserRecordAndTotal(id, cb) {
        req.get(portal + `/exam/user/record/myPaperInfo/` + id).then(rep => {
            cb(rep.data)
        })
    },
}